FROM golang:1.13-alpine as builder
ENV GO111MODULE=on
# Remove the cache to avoid warning message during `apk info`
RUN rm -rf /var/cache/apk/* && \
    rm -rf /tmp/*

RUN apk update

# GO and PATH env variables already set in golang image
# to reduce download time
RUN apk --no-cache add -U make git musl-dev gcc
WORKDIR /app
COPY . .
RUN make local-build

# final stage
FROM alpine:3.7
RUN apk --no-cache add ca-certificates


WORKDIR /app
COPY --from=builder /go/bin/budgets .
EXPOSE 8080

ENTRYPOINT ["/app/budgets"]
CMD ["serve", "--logformat", "json", "--loglevel", "debug"]
